commit:     8d86b6a736777e97acc12bccb2699b470eb42d70
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Mar  4 17:26:10 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Mar  4 20:57:23 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8d86b6a7

sys-kernel/gentoo-kernel: Bump to 5.10.252

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 sys-kernel/gentoo-kernel/Manifest                  |   1 +
 .../gentoo-kernel/gentoo-kernel-5.10.252.ebuild    | 171 +++++++++++++++++++++
 2 files changed, 172 insertions(+)

diff --git a/sys-kernel/gentoo-kernel/Manifest 
b/sys-kernel/gentoo-kernel/Manifest
index 47fe316149ba..745b1b3fa915 100644
--- a/sys-kernel/gentoo-kernel/Manifest
+++ b/sys-kernel/gentoo-kernel/Manifest
@@ -54,6 +54,7 @@ DIST linux-gentoo-patches-6.19.6.tar.xz 10828 BLAKE2B 
e4065dcfea74a3dd0c75bc778f
 DIST linux-gentoo-patches-6.6.124.tar.xz 42800 BLAKE2B 
89bc7672bd696c19fa8d7485e14130b715a2b03ea9982c3f8aa5a5e734115a21c1c45873c1799217cdd1faf2c10b801cae686a382e93f6d87cfb919068cd4e84
 SHA512 
c5ee4cd01de2f6d70402e464acc35b7f587b6bf6d0c8d5433d619746fd7c53afa31aaa2492e4e0238ce1ac9c9cfeaae741950024044faf8b8c98e85caec0c5ab
 DIST patch-5.10.250.xz 7108816 BLAKE2B 
ad9c09595e4a05b50dc6b3ab6387116b7f4ed0d0cea3d2e0c5b390a00f3ea12cd5ef465628fb44f0f7aef230a6f6ff62c3d093d35a9a345db4c00d89abe182b1
 SHA512 
7aff51241e7378fe0601bade548fa32acafe1ace5c9390bbcbad0aec9eabcf88beb4055098d34c1bd9781665e92ed9ddd33987d3b790ec7e85e2812ea996d89f
 DIST patch-5.10.251.xz 7112340 BLAKE2B 
ed7c171c94910f5eb22954c372d7fa60cdb9e5e0ba930e063544f80c404b4ba76ee9fc3793da1db8f694c4a1b1201c4fdac43237f983e4812915c8ce65a59a4c
 SHA512 
e4f3cd1a31e40f3a7e20e4194b870e7ae5e9af41a705d5dd4576af665e5c64245dc16996d398e77fc5be1bded99e1f6371e2348339f7777368d9615eb37b13cb
+DIST patch-5.10.252.xz 7164044 BLAKE2B 
263b1d9212496380a8252af7fc5b259cee23f8c4795492bc6abf285b3a1ca37cca355f01fe4501d16db70df6dfb19c7c968727a92bc90945146092e33dcf7bd9
 SHA512 
3f139f98f5c5d2d6b2e6f42a26d06040a097b3b79af53bb70c58385dba6699b957c75a073801f37946e103948d7e0046ab7e87405a8a63d36ef65b782a6a7f97
 DIST patch-5.15.200.xz 7514048 BLAKE2B 
d46ef5fd5e4ac19193eb9f8890daff1dad3f1493f0d145621955f094d1538bf211ffecb996201a6503ec502fef73f2ed244c9cd3bc5a6bbf23b9e405566eaebc
 SHA512 
1d65f996db49acf679ce8adaeb6dd5fc78c5dc940c2bd978daff378e9ea47ecd51e17a5a8cad8fb1d11560a1abd739d37021920e68c895ec763d083ba2aff24b
 DIST patch-5.15.201.xz 7523272 BLAKE2B 
cef785eb12cd93307bc2d48239e12475974affcadeca80d8762c403e241977e809fc86e8192e3560c43dc7ea844d57528696fae12e68df631679b5b401f5cea6
 SHA512 
f506b5054820c26907bb4cfb3e900f8444044bd56a702425f7f52b4f8420da1e9d04d25fdd2f2483c1fc39ff5079d7e244935e70f62d180f13aff808cd72e7df
 DIST patch-5.15.202.xz 7583644 BLAKE2B 
9adbe447a5549d2bc70491d8745a9218dc0fd9b7bc0e398179bafea770e97319e4d7c46f391597c1abfa9c7880ea7c83bd835047efa04de92a8e261fdc94b9e1
 SHA512 
817c53de558ed2e124fe6924bdb2e2d6b7c7126453fd7a1b9ef1845ed4fa5117641bfedc82e14ee9a9925ab6a524cf5c3ebbeb5c2e92fdae138886b2f418c727

diff --git a/sys-kernel/gentoo-kernel/gentoo-kernel-5.10.252.ebuild 
b/sys-kernel/gentoo-kernel/gentoo-kernel-5.10.252.ebuild
new file mode 100644
index 000000000000..ce683534a729
--- /dev/null
+++ b/sys-kernel/gentoo-kernel/gentoo-kernel-5.10.252.ebuild
@@ -0,0 +1,171 @@
+# Copyright 2020-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit kernel-build toolchain-funcs verify-sig
+
+BASE_P=linux-${PV%.*}
+PATCH_PV=${PV%_p*}
+PATCHSET=linux-gentoo-patches-5.10.248
+# https://koji.fedoraproject.org/koji/packageinfo?packageID=8
+CONFIG_VER=5.10.12
+CONFIG_HASH=836165dd2dff34e4f2c47ca8f9c803002c1e6530
+GENTOO_CONFIG_VER=g17
+SHA256SUM_DATE=20260304
+
+DESCRIPTION="Linux kernel built with Gentoo patches"
+HOMEPAGE="
+       https://wiki.gentoo.org/wiki/Project:Distribution_Kernel
+       https://www.kernel.org/
+"
+SRC_URI+="
+       https://cdn.kernel.org/pub/linux/kernel/v$(ver_cut 1).x/${BASE_P}.tar.xz
+       https://cdn.kernel.org/pub/linux/kernel/v$(ver_cut 
1).x/patch-${PATCH_PV}.xz
+       https://dev.gentoo.org/~mgorny/dist/linux/${PATCHSET}.tar.xz
+       
https://github.com/projg2/gentoo-kernel-config/archive/${GENTOO_CONFIG_VER}.tar.gz
+               -> gentoo-kernel-config-${GENTOO_CONFIG_VER}.tar.gz
+       verify-sig? (
+               https://cdn.kernel.org/pub/linux/kernel/v$(ver_cut 
1).x/sha256sums.asc
+                       -> linux-$(ver_cut 1).x-sha256sums-${SHA256SUM_DATE}.asc
+       )
+       amd64? (
+               
https://src.fedoraproject.org/rpms/kernel/raw/${CONFIG_HASH}/f/kernel-x86_64-fedora.config
+                       -> kernel-x86_64-fedora.config.${CONFIG_VER}
+       )
+       arm64? (
+               
https://src.fedoraproject.org/rpms/kernel/raw/${CONFIG_HASH}/f/kernel-aarch64-fedora.config
+                       -> kernel-aarch64-fedora.config.${CONFIG_VER}
+       )
+       ppc64? (
+               
https://src.fedoraproject.org/rpms/kernel/raw/${CONFIG_HASH}/f/kernel-ppc64le-fedora.config
+                       -> kernel-ppc64le-fedora.config.${CONFIG_VER}
+       )
+       x86? (
+               
https://src.fedoraproject.org/rpms/kernel/raw/${CONFIG_HASH}/f/kernel-i686-fedora.config
+                       -> kernel-i686-fedora.config.${CONFIG_VER}
+       )
+"
+S=${WORKDIR}/${BASE_P}
+
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE="debug experimental hardened"
+REQUIRED_USE="
+       arm? ( savedconfig )
+       hppa? ( savedconfig )
+       sparc? ( savedconfig )
+"
+
+RDEPEND="
+       !sys-kernel/gentoo-kernel-bin:${SLOT}
+"
+BDEPEND="
+       debug? ( dev-util/pahole )
+       verify-sig? ( >=sec-keys/openpgp-keys-kernel-20250702 )
+"
+PDEPEND="
+       >=virtual/dist-kernel-${PV}
+"
+
+QA_FLAGS_IGNORED="
+       usr/src/linux-.*/scripts/gcc-plugins/.*.so
+       usr/src/linux-.*/vmlinux
+       usr/src/linux-.*/arch/powerpc/kernel/vdso.*/vdso.*.so.dbg
+"
+
+VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/kernel.org.asc
+
+src_unpack() {
+       if use verify-sig; then
+               cd "${DISTDIR}" || die
+               verify-sig_verify_signed_checksums \
+                       "linux-$(ver_cut 1).x-sha256sums-${SHA256SUM_DATE}.asc" 
\
+                       sha256 "${BASE_P}.tar.xz patch-${PATCH_PV}.xz"
+               cd "${WORKDIR}" || die
+       fi
+
+       default
+}
+
+src_prepare() {
+       local patch
+       eapply "${WORKDIR}/patch-${PATCH_PV}"
+       for patch in "${WORKDIR}/${PATCHSET}"/*.patch; do
+               eapply "${patch}"
+               # non-experimental patches always finish with Gentoo Kconfig
+               # when ! use experimental, stop applying after it
+               if [[ ${patch} == *Add-Gentoo-Linux-support-config-settings* ]] 
&&
+                       ! use experimental
+               then
+                       break
+               fi
+       done
+
+       default
+
+       # add Gentoo patchset version
+       local extraversion=${PV#${PATCH_PV}}
+       sed -i -e "s:^\(EXTRAVERSION =\).*:\1 ${extraversion/_/-}:" Makefile || 
die
+
+       local biendian=false
+
+       # prepare the default config
+       case ${ARCH} in
+               arm | hppa | sparc)
+                       > .config || die
+               ;;
+               amd64)
+                       cp 
"${DISTDIR}/kernel-x86_64-fedora.config.${CONFIG_VER}" .config || die
+                       ;;
+               arm64)
+                       cp 
"${DISTDIR}/kernel-aarch64-fedora.config.${CONFIG_VER}" .config || die
+                       biendian=true
+                       ;;
+               ppc)
+                       # assume powermac/powerbook defconfig
+                       # we still package.use.force savedconfig
+                       cp 
"${WORKDIR}/${BASE_P}/arch/powerpc/configs/pmac32_defconfig" .config || die
+                       ;;
+               ppc64)
+                       cp 
"${DISTDIR}/kernel-ppc64le-fedora.config.${CONFIG_VER}" .config || die
+                       biendian=true
+                       ;;
+               x86)
+                       cp "${DISTDIR}/kernel-i686-fedora.config.${CONFIG_VER}" 
.config || die
+                       ;;
+               *)
+                       die "Unsupported arch ${ARCH}"
+                       ;;
+       esac
+
+       local myversion="-gentoo-dist"
+       use hardened && myversion+="-hardened"
+       echo "CONFIG_LOCALVERSION=\"${myversion}\"" > "${T}"/version.config || 
die
+       local 
dist_conf_path="${WORKDIR}/gentoo-kernel-config-${GENTOO_CONFIG_VER}"
+
+       local merge_configs=(
+               "${T}"/version.config
+               "${dist_conf_path}"/base.config
+       )
+       use debug || merge_configs+=(
+               "${dist_conf_path}"/no-debug.config
+       )
+       if use hardened; then
+               merge_configs+=( "${dist_conf_path}"/hardened-base.config )
+
+               tc-is-gcc && merge_configs+=( 
"${dist_conf_path}"/hardened-gcc-plugins.config )
+
+               if [[ -f "${dist_conf_path}/hardened-${ARCH}.config" ]]; then
+                       merge_configs+=( 
"${dist_conf_path}/hardened-${ARCH}.config" )
+               fi
+       fi
+
+       # this covers ppc64 and aarch64_be only for now
+       if [[ ${biendian} == true && $(tc-endian) == big ]]; then
+               merge_configs+=( "${dist_conf_path}/big-endian.config" )
+       fi
+
+       use secureboot && merge_configs+=( 
"${dist_conf_path}/secureboot.config" )
+
+       kernel-build_merge_configs "${merge_configs[@]}"
+}

Reply via email to